/**
 * generated by Xtext
 */
package org.eclipse.etrice.core.room.impl;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.etrice.core.room.InMessageHandler;
import org.eclipse.etrice.core.room.RoomPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>In Message Handler</b></em>'.
 * <!-- end-user-doc -->
 *
 * @generated
 */
public class InMessageHandlerImpl extends MessageHandlerImpl implements InMessageHandler
{
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected InMessageHandlerImpl()
	{
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass()
	{
		return RoomPackage.Literals.IN_MESSAGE_HANDLER;
	}

} //InMessageHandlerImpl
